This site has been archived and you can no longer log in or post new messages. For up-to-date community resources please visit ezplatform.com

eZ Community » Forums » eZ Publish 5 Platform » Upgrade eZDemoBundle to Knp Menu...
expandshrink

Upgrade eZDemoBundle to Knp Menu version 2

Upgrade eZDemoBundle to Knp Menu version 2

Monday 22 September 2014 3:44:48 pm - 2 replies

Hi there,

I'm trying to figure out how to create a dropdown menu now that eZDemoBundle uses Knp Menu.

I found some tricks elsewhere but they all use Knp Menu version 2. Is it safe to upgrade for eZDemoBundle? If so, how can I? Just by changing the required version in the eZDemoBundle?

Thanks 

Tuesday 23 September 2014 10:25:53 am

Well, 2.0 came out after we made our integration... Maybe we should have aimed for 2.0, but the ship has sailed for now.

Given how many BC breaks are listed in the changelog (https://github.com/KnpLabs/KnpMenu/blob/master/CHANGELOG.md), no, I don't think that a simple version upgrade will work sad.gif Emoticon

Of course, given that our menu is very simple, a pull request with the required changes would be wonderful happy.gif Emoticon

Wednesday 24 September 2014 2:53:40 pm

Thanks for the heads up Bertrand. I will try to update the eZDemoBundle and make a pull request if everything works fine.

expandshrink

You must be logged in to post messages in this topic!

36 542 Users on board!

Forums menu

Proudly Developed with from